Welke internet-browser kunt u gebruiken met TinyMCE

De vraag betreft het bijhouden van de inhoud van de website. Hiervoor is als editor (tekstverwerker) TinyMCE in gebruik. De ondersteuning van deze editor in de diverse browsers verschilt enorm.

Voor windows zijn de belangrijkste browsers:

  • Firefox
  • Internet Explorer
  • Opera
  • Google Chrome
  • Safari

Met browsers in gebruik bij andere besturingssystemen (zoals gebruikt bij Macintosh en Linux) hebben wij geen ervaring. Dus ons oordeel betreft momenteel alleen het Windows platform en daarin alleen Windows XP.

Onze voorkeur gaat momenteel uit naar het gebruik van Firefox omdat deze bij de door ons geïnstalleerde editor het meeste gebruikersgemak biedt. Alle beschrijvingen over de editor gaan daarom uit van het gebruik van Firefox.

Firefox

Bij Firefox kan in de editor op vele plaatsen de rechter muisknop worden gebruikt waarbij een relevant keuzemenu wordt weergegeven. Dit vereenvoudigt het invoeren van tekst, tabellen en afbeeldingen enorm.
Zowel Firefox 1.5, 2.0 als 3.x bieden een perfecte ondersteuning.

Internet Explorer

Volgens de makers worden momenteel alleen de versies IE 5.5 SP2, 6, 7 en 8 ondersteund.
De functionaliteit in Internet Explorer is bijna identiek aan die in Firefox.

Opera

Opera t/m versie 8 ondersteunt de editor in het geheel niet.
De ondersteuning van Opera versie 9 is slechts gedeeltelijk.

download Firefox
download Opera

 

Meer informatie over de diverse versies is te lezen op de website van Moxiecode

Op 12 juli 2010 gold het volgende:

TinyMCE gebruikt geavanceerd Javascript en probeert zo intelligent mogelijk met de diverse browsers om te gaan, waarbij de focus primair op MS Internet Explorer en Mozilla/Firefox ligt. De onderstaande tabel geeft alleen de browsers weer die Moxicode zelf kan testen. Met veel oudere versies van Mozilla en Firefox werkt het ook. Als een browser niet in onderstaande tabel staat wil dat niet zeggen dat TinyMCE niet werkt. Deze browsers kunt u op de website van Moxicode uittesten.

Aangezien MacOS X 10.4 min of meer Linux (ofwel, BSD) is wordt bijna niet meer op Linux getest: gebruik het Sourceforge bug rapportage system om alleen fouten op de nieuwste browsers te melden.

Vanaf TinyMCE versie 2.0.8 is de support voor MSIE 5.0 gestaakt vanwege de grote gebreken hierin. Het is niet praktisch om deze te ondersteunen.

  Windows XP   Mac OS X   GNU/Linux
IE 8 OK N/A N/A
IE 7 OK N/A N/A
IE 6 OK N/A N/A
IE 5.5 SP2 No N/A N/A
IE 5.0 No No N/A
SeaMonkey 1.0.5 OK OK N/A
Firefox 1.5.x OK OK OK
Firefox 2.0 OK OK OK
Firefox 3.0 OK OK OK
Google Chrome OK N/A OK
Camino N/A OK N/A
Safari 2.x N/A No [1] N/A
Safari 3.x OK OK N/A
Safari 4.x OK OK N/A
Opera 9 OK[2] OK OK[2]
Maxthon2 OK N/A N/A
Konqueror N/A N/A No
KonquerorKDE4 N/A N/A OK[2]

Opmerking

  1. Safari 2 wordt niet langer ondersteund aangezien Safari 3 een upgrade is voor Tiger en Leopard. Upgrade uw Mac OS.
  2. Werkt gedeeltelijk.